package modele.donnees;

import modele.calculs.Direction;
import modele.calculs.Jeu;

public abstract class Items extends ElementFond implements ElementDynamique {
    public Items(Jeu jeu) {
        super(jeu);
    }

    @Override
    public boolean peutPermettreDeMonterDescendre() {
        return false;
    }

    @Override
    public boolean estRectoble() {
        return true;
    }

    @Override
    public boolean avancerDirectionChoisie(Direction d) {
        return jeu.deplacerEntite(this, d);
    }

    public ElementPhysique regarderDevantSoit() {
        return jeu.regarderDevantSoit(this);
    }

    public boolean estRecolte() {
        return avancerDirectionChoisie(null);
    }
}
